Skip to main content
GET
/
v1
/
runs
List runs
curl --request GET \
  --url https://api.strait.dev/v1/runs \
  --header 'Authorization: Bearer <token>'
{
  "data": "<unknown>",
  "has_more": true,
  "$schema": "<string>",
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Query Parameters

status
string
statuses
string[] | null
tag_key
string
tag_value
string
metadata_key
string
metadata_value
string
triggered_by
string
batch_id
string
payload_contains
string
execution_mode
string
error_class
string
limit
string
cursor
string

Response

OK

data
any
required
has_more
boolean
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/PaginatedResponse.json"

next_cursor
string